osgDB::XmlNode::Input Class Reference

`#include <XmlParser>`

Inheritance diagram for osgDB::XmlNode::Input:

## Public Types

enum | Encoding { ENCODING_ASCII , ENCODING_UTF8 }
typedef std::string::size_type | size_type
Public Types inherited from osgDB::XmlNode::ControlMap
typedef std::map< std::string, int > | ControlToCharacterMap
typedef std::map< int, std::string > | CharacterToControlMap

## Public Member Functions

| Input ()
| Input (const Input &)
| ~Input ()
void | open (const std::string &filename)
void | attach (std::istream &istream)
void | readAllDataIntoBuffer ()
| operator bool () const
size_type | currentPosition () const
int | get ()
int | operator[] (size_type i) const
void | operator++ ()
void | operator+= (size_type n)
void | skipWhiteSpace ()
std::string | substr (size_type pos, size_type n=std::string::npos)
size_type | find (const std::string &str)
bool | match (const std::string &str)
void | setEncoding (Encoding encoding)
Encoding | getEncoding () const
void | copyCharacterToString (std::string &str)
Public Member Functions inherited from osgDB::XmlNode::ControlMap
| ControlMap ()
void | addControlToCharacter (const std::string &control, int c)

## Additional Inherited Members

Public Attributes inherited from osgDB::XmlNode::ControlMap
ControlToCharacterMap | _controlToCharacterMap
CharacterToControlMap | _characterToControlMap

## Member Typedef Documentation

## size_type

typedef std::string::size_type osgDB::XmlNode::Input::size_type

## Member Enumeration Documentation

## Encoding

enum osgDB::XmlNode::Input::Encoding

Enumerator
ENCODING_ASCII |
ENCODING_UTF8 |

## Constructor & Destructor Documentation

## Input() [1/2]

osgDB::XmlNode::Input::Input | ( |  | ) |

Referenced by Input().

## Input() [2/2]

osgDB::XmlNode::Input::Input | ( | const Input & |  | ) |

References Input().

## ~Input()

osgDB::XmlNode::Input::~Input | ( |  | ) |

## Member Function Documentation

## attach()

void osgDB::XmlNode::Input::attach | ( | std::istream & | istream | ) |

## copyCharacterToString()

void osgDB::XmlNode::Input::copyCharacterToString | ( | std::string & | str | ) |

inline

References ENCODING_ASCII, and ENCODING_UTF8.

## currentPosition()

size_type osgDB::XmlNode::Input::currentPosition | ( |  | ) | const

inline

## find()

size_type osgDB::XmlNode::Input::find | ( | const std::string & | str | ) |

inline

## get()

int osgDB::XmlNode::Input::get | ( |  | ) |

inline

## getEncoding()

Encoding osgDB::XmlNode::Input::getEncoding | ( |  | ) | const

inline

## match()

bool osgDB::XmlNode::Input::match | ( | const std::string & | str | ) |

inline

## open()

void osgDB::XmlNode::Input::open | ( | const std::string & | filename | ) |

## operator bool()

osgDB::XmlNode::Input::operator bool | ( |  | ) | const

inline

## operator++()

void osgDB::XmlNode::Input::operator++ | ( |  | ) |

inline

## operator+=()

void osgDB::XmlNode::Input::operator+= | ( | size_type | n | ) |

inline

## operator[]()

int osgDB::XmlNode::Input::operator[] | ( | size_type | i | ) | const

inline

## readAllDataIntoBuffer()

void osgDB::XmlNode::Input::readAllDataIntoBuffer | ( |  | ) |

## setEncoding()

void osgDB::XmlNode::Input::setEncoding | ( | Encoding | encoding | ) |

inline

## skipWhiteSpace()

void osgDB::XmlNode::Input::skipWhiteSpace | ( |  | ) |

## substr()

std::string osgDB::XmlNode::Input::substr | ( | size_type | pos,
|  | size_type | n = std::string::npos )

inline

The documentation for this class was generated from the following file:

- XmlParser